> For the complete documentation index, see [llms.txt](https://docs.streamavatars.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.streamavatars.com/lua-scripting-api/api-reference-and-tips/classes/user/settemporarynametag.md).

# setTemporaryNametag

```lua
return function()
    local user = getUser('clonzeh');
    if user == nil then
        log('user does not exist!');
        return;
    end
    
    
    user.setTemporaryNametag('random', 30); --random and none works here
    --sets a temporary avatar regardless of user's ownership/statuses for 30 seconds
    
    wait(1);
    
    user.setTemporaryNametag('subOnlyTag', 120);
    
    wait(1);
    
    user.setTemporaryNametag('subOnlyTag', 1); 
    --best way to remove the temporaryAvatar - 
    --reset the timer to 1 so it ticks off right away.
    
    wait(1);
    
     user.setTemporaryNametag('subOnlyTag', 0); 
     --0 lasts until application restart or until set to a different timer.
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.streamavatars.com/lua-scripting-api/api-reference-and-tips/classes/user/settemporarynametag.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
